
#ifndef _encoder_h_
#define _encoder_h_

class Encoder {
    enum e_switch { state_idle, state_pushed, state_shortPushed, state_longPushed};
  public:
    Encoder(long sample_period_ms = 5);
    void modify( unsigned long *to_modify, unsigned long increment  );
    bool moved();
    void update();
  private:
    unsigned long *output;
    bool encoder_a_prev;
    bool encoder_moved;
    long _increment;
};
#endif



